Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Node

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.model.DiagramElement
                        |
                        +--biouml.model.Node

Direct Known Subclasses:
  Compartment

public class Node
extends DiagramElement

Diagram node element

Field Summary
`View` | `background` The node background.

Constructor Summary
`Node(DataCollection parent, String name, Base kernel)`
`Node(DataCollection parent, Base kernel)`

Method Summary
`void` | `addEdge(Edge edge)`
`DiagramElement` | `clone(Compartment newParent, String newName)`
`Iterator` | `edgeIterator()`
`static DataCollection` | `findCommonOrigin(DataCollection first, DataCollection second)`
`View` | `getBackground()`
`ImageDescriptor` | `getImage()`
`Point` | `getLocation()`
`void` | `removeEdge(Edge edge)`
`void` | `setBackground(View background)`
`void` | `setImage(ImageDescriptor image)`
`void` | `setLocation(Point location)`
`void` | `setLocation(int x, int y)`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### background

    public View background

  The node background.

Constructor Detail

### Node

    public Node(DataCollection parent, String name, Base kernel)

### Node

    public Node(DataCollection parent, Base kernel)

Method Detail

### addEdge

    public void addEdge(Edge edge)

### clone

    public DiagramElement clone(Compartment newParent, String newName)

### edgeIterator

    public Iterator edgeIterator()

### findCommonOrigin

    public static DataCollection findCommonOrigin(DataCollection first, DataCollection second)

### getBackground

    public View getBackground()

### getImage

    public ImageDescriptor getImage()

### getLocation

    public Point getLocation()

### removeEdge

    public void removeEdge(Edge edge)

### setBackground

    public void setBackground(View background)

### setImage

    public void setImage(ImageDescriptor image)

### setLocation

    public void setLocation(Point location)

  pending 1) varify new location; 2) notify listeners

### setLocation

    public void setLocation(int x, int y)

Association Links

to Class java.awt.Point

to Class ru.biosoft.graphics.View

  The node background.

to Class biouml.standard.type.ImageDescriptor

  Arbitrary image can be assitiated with diagram node element.

to Class java.util.Set

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM